Summary: Graphic primitives, rotozoomer, framerate control and image filters
Name: SDL_gfx
Version: 2.0.13
Release: 1
License: LGPL
Group: System Environment/Libraries
URL: http://www.ferzkopp.net/~aschiffler/Software/SDL_gfx-2.0/
Source: http://www.ferzkopp.net/~aschiffler/Software/SDL_gfx-2.0/SDL_gfx-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: SDL-devel, gcc-c++, automake, autoconf, perl

%description
The SDL_gfx library offers several components: Graphic Primitives,
Rotozoomer, Framerate control, and MMX image filters. The Primitives
component provides basic drawing routines: pixels, hlines, vlines, lines,
aa-lines, rectangles, circles, ellipses, trigons, polygons, Bezier curves,
and an 8x8 pixmap font for drawing onto any SDL Surface. Full alpha
blending, hardware surface locking, and all surface depths are supported.
The Rotozoomer can use interpolation for high quality output.


%package devel
Summary: Header files and static libraries for SDL_gfx
Group: Development/Libraries
Requires: %{name} = %{version}, SDL-devel

%description devel
This package contains the header files and static libraries for SDL_gfx.
If you want to develop programs using SDL_gfx, you will need to install this
package.


%prep
%setup


%build
%configure \
%ifnarch %{ix86}
    --disable-mmx
%endif
# Buildtools have problems even when -j1 is added
%{__make} #%{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall


%clean
%{__rm} -rf %{buildroot}


%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-, root, root, 0755)
%doc NEWS LICENSE README AUTHORS COPYING
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root, 0755)
%{_libdir}/*.a
%{_includedir}/SDL/*.h
%exclude %{_libdir}/*.la
%{_libdir}/*.so


%changelog
* Fri Jan 28 2005 Matthias Saou <http://freshrpms.net/> 2.0.13-1
- Initial Extras import, minor spec tweaks.

* Tue Dec 21 2004 Dries Verachtert <dries@ulyssis.org> 2.0.13-1
- Updated to release 2.0.13 and removed the patch (has been 
  applied upstream)

* Thu Nov 11 2004 Matthias Saou <http://freshrpms.net/> 2.0.12-3
- Explicitly disable mmx for non-ix86 to fix build on x86_64.

* Fri Oct 22 2004 Dries Verachtert <dries@ulyssis.org> 2.0.12-3
- fixed some buildrequirements so the correct version of libSDL_gfx.so 
  can be found in the list of provides.

* Fri Oct 22 2004 Dries Verachtert <dries@ulyssis.org> 2.0.12-2
- rebuild

* Wed Sep 01 2004 Dries Verachtert <dries@ulyssis.org> 2.0.12-1
- Update to version 2.0.12.

* Mon Apr 26 2004 Dries Verachtert <dries@ulyssis.org> 2.0.10-1
- Initial package
